%define anolis_release 1
%global tarball xf86-video-ati
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers

%undefine _hardened_build


Summary:   Xorg X11 ati video driver
Name:      xorg-x11-drv-ati
Version:   19.1.0
Release:   %{anolis_release}%{?dist}
URL:       http://www.x.org
License:   MIT

Source0:   https://www.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

Patch1:    0001-Fix-link-failure-with-gcc-10.patch
Patch2:    0001-Handle-NULL-fb_ptr-in-pixmap_get_fb.patch
Patch3:    0002-Don-t-crash-X-server-if-GPU-acceleration-is-not-avai.patch
Patch4:    0001-Only-include-dri.h-with-older-versions-of-xserver.patch


BuildRequires: make
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: pkgconfig(gbm) >= 10.6
BuildRequires: libdrm-devel >= 2.4.33
BuildRequires: kernel-headers >= 2.6.27
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros >= 1.1.5
BuildRequires: libudev-devel
BuildRequires: xorg-x11-glamor-devel

Requires: libdrm >= 2.4.36-1

%description 
X.Org X11 ati video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch1 -p1 -b .gcc10
%patch2 -p1 -b .null-fb_ptr
%patch3 -p1 -b .shadowfb-crash-fix
%patch4 -p1 -b .dri.h

%build
autoreconf -iv
%configure --disable-static --enable-glamor
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/ati_drv.so
%{driverdir}/radeon_drv.so
%{_mandir}/man4/ati.4*
%{_mandir}/man4/radeon.4*
%{_datadir}/X11/xorg.conf.d/10-radeon.conf

%changelog
* Tue Apr 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 19.1.0-1
- Init from upstream version 19.1.0

